### Function

# Tsparql NamespaceManager get_default

deprecated: 3.3

#### Declaration [src]

    TrackerNamespaceManager*
    tracker_namespace_manager_get_default (
      void
    )

#### Description [src]

Returns the global `TrackerNamespaceManager` that contains a set of well-known namespaces and prefixes, such as `rdf:`, `rdfs:`, `nie:`, `tracker:`, etc.

Note that the list of prefixes and namespaces is hardcoded in libtracker-sparql. It may not correspond with the installed set of ontologies, if they have been modified since they were installed.

Deprecated since: 3.3

Use `tracker_sparql_connection_get_namespace_manager()` instead.

#### Return value

Type: `TrackerNamespaceManager`

A global, shared `TrackerNamespaceManager` instance.

The data is owned by the called function.